Package de.willuhn.jameica.hbci

# Class SynchronizeSchedulerSettings

java.lang.Object
de.willuhn.jameica.hbci.SynchronizeSchedulerSettings

public class SynchronizeSchedulerSettings extends Object
Hält die Einstellungen für die automatisierte Synchronisierung.

## Constructor Summary

Constructors
Constructor
Description
`SynchronizeSchedulerSettings()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getSchedulerEndTime()`
Liefert die Uhrzeit, zu der der Scheduler enden soll.
`static boolean`
`getSchedulerIncludeDay(int day)`
Liefert true, wenn der Scheduler am genannten Tag laufen soll.
`static int`
`getSchedulerInterval()`
Liefert das Scheduler-Intervall in Minuten.
`static int`
`getSchedulerStartTime()`
Liefert die Uhrzeit, ab der der Scheduler beginnen soll.
`static boolean`
`getStopSchedulerOnError()`
Legt fest, ob der Scheduler im Fehlerfall beendet werden soll.
`static boolean`
`isEnabled()`
Liefert true, wenn die automatisierte Synchronisierung aktiv ist.
`static void`
`setEnabled(boolean b)`
Legt fest, ob die automatisierte Synchronisierung aktiv ist.
`static void`
`setSchedulerEndTime(int hour)`
Speichert die Uhrzeit, zu der der Scheduler enden soll.
`static void`
`setSchedulerIncludeDay(int day, boolean b)`
Legt fest, ob der Scheduler am genannten Tag laufen soll.
`static void`
`setSchedulerInterval(int minutes)`
Speichert das Scheduler-Intervall.
`static void`
`setSchedulerStartTime(int hour)`
Speichert die Uhrzeit, ab der der Scheduler beginnen soll.
`static void`
`setStopSchedulerOnError(boolean stop)`
Legt fest, ob der Scheduler im Fehlerfall beendet werden soll.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynchronizeSchedulerSettings

public SynchronizeSchedulerSettings()

## Method Details

### isEnabled

public static boolean isEnabled()
Liefert true, wenn die automatisierte Synchronisierung aktiv ist.

Returns:
  true, wenn die automatisierte Synchronisierung aktiv ist.

### setEnabled

public static void setEnabled(boolean b)
Legt fest, ob die automatisierte Synchronisierung aktiv ist.

Parameters:
  `b` - true, wenn die automatisierte Synchronisierung aktiv ist.

### getSchedulerInterval

public static int getSchedulerInterval()
Liefert das Scheduler-Intervall in Minuten.

Returns:
  Scheduler-Intervall.

### setSchedulerInterval

public static void setSchedulerInterval(int minutes)
Speichert das Scheduler-Intervall.

Parameters:
  `minutes` -

### getSchedulerStartTime

public static int getSchedulerStartTime()
Liefert die Uhrzeit, ab der der Scheduler beginnen soll. Da Banken nachts ihre Buchungslaeufe durchfuehren, werden die HBCI-System in dieser Zeit oft deaktiviert. Damit Hibiscus hierdurch nicht unnoetig Fehler produziert, kann er in dieser Zeit pausiert werden.

Returns:
  Beginn-Uhrzeit des Schedulers (Angabe in Stunden).

### setSchedulerStartTime

public static void setSchedulerStartTime(int hour)
Speichert die Uhrzeit, ab der der Scheduler beginnen soll.

Parameters:
  `hour` - Beginn-Uhrzeit des Schedulers (Angabe in Stunden).

### getSchedulerEndTime

public static int getSchedulerEndTime()
Liefert die Uhrzeit, zu der der Scheduler enden soll. Da Banken nachts ihre Buchungslaeufe durchfuehren, werden die HBCI-System in dieser Zeit oft deaktiviert. Damit Hibiscus hierdurch nicht unnoetig Fehler produziert, kann er in dieser Zeit pausiert werden.

Returns:
  End-Uhrzeit des Schedulers (Angabe in Stunden).

### setSchedulerEndTime

public static void setSchedulerEndTime(int hour)
Speichert die Uhrzeit, zu der der Scheduler enden soll.

Parameters:
  `hour` - End-Uhrzeit des Schedulers (Angabe in Stunden).

### getSchedulerIncludeDay

public static boolean getSchedulerIncludeDay(int day)
Liefert true, wenn der Scheduler am genannten Tag laufen soll.

Parameters:
  `day` - der Tag - gemass `Calendar.MONDAY`,`Calendar.TUESDAY`,...
Returns:
  true, wenn der Scheduler am genannten Tag laufen soll.

### setSchedulerIncludeDay

public static void setSchedulerIncludeDay(int day, boolean b)
Legt fest, ob der Scheduler am genannten Tag laufen soll.

Parameters:
  `day` - der Tag - gemass `Calendar.MONDAY`,`Calendar.TUESDAY`,...
  `b` - true, wenn der Scheduler am genannten Tag laufen soll.

### getStopSchedulerOnError

public static boolean getStopSchedulerOnError()
Legt fest, ob der Scheduler im Fehlerfall beendet werden soll.

Returns:
  true, wenn der Scheduler im Fehlerfall angehalten wird.

### setStopSchedulerOnError

public static void setStopSchedulerOnError(boolean stop)
Legt fest, ob der Scheduler im Fehlerfall beendet werden soll.

Parameters:
  `stop` - true, wenn der Scheduler im Fehlerfall angehalten wird.